Bug 16344 - FR: Backport Virtualbox to 4.0
: FR: Backport Virtualbox to 4.0
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/virtualbox)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-07-12 20:38 by
Modified: 2009-12-16 16:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-07-12 20:38:49
Virtualbox был бы очень полезен в школьном бранче.
------- Comment #1 From 2008-07-14 14:06:36 -------
Я попробую пересобрать...
------- Comment #2 From 2008-07-17 04:35:47 -------
В backports/4.0 уехал virtualbox-1.6.2-alt0.M40.1.src.rpm
Его нужно потестировать, но проблем с самим пакетом, если оно собирётся быть не
должно... Проблемы будут с яядерной поддержкой, поскольку механизм пока
транзакций не предусмотрен, особенно для бранчей. В общем как только сборка
появится в бранче выложу:
kernel-modules-virtualbox-addition-ovz-smp-1.6.2-alt1.132626.23.src.rpm
kernel-modules-virtualbox-addition-std-pae-1.6.2-alt1.132626.12.src.rpm
kernel-modules-virtualbox-addition-std-smp-1.6.2-alt1.132626.12.src.rpm
kernel-modules-virtualbox-addition-wks-smp-1.6.2-alt1.132626.2.src.rpm
kernel-modules-virtualbox-ovz-smp-1.6.2-alt1.132626.23.src.rpm
kernel-modules-virtualbox-std-pae-1.6.2-alt1.132626.12.src.rpm
kernel-modules-virtualbox-std-smp-1.6.2-alt1.132626.12.src.rpm
kernel-modules-virtualbox-vfs-std-pae-1.6.2-alt1.132626.12.src.rpm
kernel-modules-virtualbox-vfs-std-smp-1.6.2-alt1.132626.12.src.rpm
kernel-modules-virtualbox-wks-smp-1.6.2-alt1.132626.2.src.rpm

Среди модулей, по причине проблем сборки отсутствуют
kernel-modules-virtualbox-vfs-wks-smp и kernel-modules-virtualbox-vfs-ovz-smp.
Для тестирования и стандартных задач эти модули не обязательны.

Отладкой сборки этих модулей пока заняться нет времени... Кроме того не
хотелось бы собирать их самостоятельно. Шаблоны SPEC-файлов для сборки этих
модулей подходят те же, что и для сизифа, так что можно переложить этот вопрос
на скрипты.

Ниже привожу логи.

 kernel-modules-virtualbox-vfs-wks-smp:
Выполняется(%build): /bin/sh -e
/home/sin/git/kernel-build-scripts/tmp/TMP/rpm-tmp.31616

+ umask 022
+ /bin/mkdir -p /home/sin/git/kernel-build-scripts/tmp/BUILD
+ cd /home/sin/git/kernel-build-scripts/tmp/BUILD
+ cd kernel-source-virtualbox-vfs-1.6.2
+ .
/home/sin/git/kernel-build-scripts/tmp/root/usr/src/linux-2.6.18-wks-smp/gcc_version.inc
++ export GCC_VERSION=4.1
++ GCC_VERSION=4.1
+ make
KERN_DIR=/home/sin/git/kernel-build-scripts/tmp/root/usr/src/linux-2.6.18-wks-smp/
make: Entering directory
`/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2'
make KBUILD_VERBOSE=1 -C
/home/sin/git/kernel-build-scripts/tmp/root/usr/src/linux-2.6.18-wks-smp/
SUBDIRS=/home/sin/git/kernel-build-scr
make[1]: Entering directory
`/home/sin/git/kernel-build-scripts/tmp/root/usr/src/linux-2.6.18-wks-smp-alt2'
test -e include/linux/autoconf.h -a -e include/config/auto.conf ||
(<--><------>\
<------>echo;<-><------><------><------><------><------><------><------>\
<------>echo "  ERROR: Kernel configuration is invalid.";<-----><------>\
<------>echo "         include/linux/autoconf.h or include/config/auto.conf are
missing.";<---->\
<------>echo "         Run 'make oldconfig && make prepare' on kernel src to
fix it.";<>\
<------>echo;<-><------><------><------><------><------><------><------>\
<------>/bin/false)
mkdir -p
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.tmp_versions
rm -f
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.tmp_versions/*
make -f scripts/Makefile.build
obj=/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2
grep:
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/include/linux/version.h:
No such file or directory
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.vfsmod.o.d
 -nostdinc -isystem /
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vfsmod.c:
In function 'sf_read_super_aux':
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vfsmod.c:243:
error: 'struct inode' has no member named '
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vfsmod.c:
In function 'sf_clear_inode':
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vfsmod.c:296:
error: 'struct inode' has no member named '
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vfsmod.c:304:
error: 'struct inode' has no member named '
make[2]: ***
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vfsmod.o]
Error 1
make[1]: ***
[_module_/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2]
Error 2
make[1]: Leaving directory
`/home/sin/git/kernel-build-scripts/tmp/root/usr/src/linux-2.6.18-wks-smp-alt2'
make: *** [vboxvfs] Error 2
make: Leaving directory
`/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2'
ошибка: Неверный код возврата из
/home/sin/git/kernel-build-scripts/tmp/TMP/rpm-tmp.31616 (%build)

 kernel-modules-virtualbox-vfs-ovz-smp:
mkdir -p
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.tmp_versions
rm -f
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.tmp_versions/*
make -f scripts/Makefile.build
obj=/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2
grep:
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/include/linux/version.h:
No such file or directory
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.vfsmod.o.d
 -nostdinc -isystem /
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.dirops.o.d
 -nostdinc -isystem /
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.regops.o.d
 -nostdinc -isystem /
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.utils.o.d
 -nostdinc -isystem /u
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.GenericRequest.o.d
 -nostdinc -i
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.SysHlp.o.d
 -nostdinc -isystem /
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.PhysHeap.o.d
 -nostdinc -isystem
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.Init.o.d
 -nostdinc -isystem /us
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.VMMDev.o.d
 -nostdinc -isystem /
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.HGCM.o.d
 -nostdinc -isystem /us
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.VBoxCalls.o.d
 -nostdinc -isyste
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/r0drv/.alloc-r0drv.o.d
 -nostdinc
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/r0drv/linux/.alloc-r0drv-linux.o.
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/r0drv/linux/.semevent-r0drv-linux
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/r0drv/linux/.semfastmutex-r0drv-l
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.divdi3.o.d
 -nostdinc -isystem /
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.moddi3.o.d
 -nostdinc -isystem /
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.udivdi3.o.d
 -nostdinc -isystem
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.umoddi3.o.d
 -nostdinc -isystem
   gcc-4.1 -m32
-Wp,-MD,/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/.qdivrem.o.d
 -nostdinc -isystem
  ld -m elf_i386 -m elf_i386  -r -o
/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.o
/home/sin/g
  Building modules, stage 2.
make -rR -f
/home/sin/git/kernel-build-scripts/tmp/root/usr/src/linux-2.6.18-ovz-smp-alt23/scripts/Makefile.modpost
  scripts/mod/modpost -m -a -i
/home/sin/git/kernel-build-scripts/tmp/root/usr/src/linux-2.6.18-ovz-smp-alt23/Module.symvers
-I /home/sin
WARNING: "AssertMsg1"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
undefined!
WARNING: "AssertMsg2"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
undefined!
WARNING: "vboxadd_cmc_close"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
undefined!
WARNING: "RTAssertDoBreakpoint"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
undefined!
WARNING: "vboxadd_cmc_call"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
undefined!
WARNING: "RTErrConvertToErrno"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
undefined!
WARNING: "vboxadd_cmc_ctl_guest_filter_mask"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
WARNING: "RTLogBackdoorPrintf"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
undefined!
WARNING: "vboxadd_cmc_open"
[/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2/vboxvfs.ko]
undefined!
make[2]: *** [__modpost] Error 1
make[1]: *** [modules] Error 2
make[1]: Leaving directory
`/home/sin/git/kernel-build-scripts/tmp/root/usr/src/linux-2.6.18-ovz-smp-alt23'
make: *** [vboxvfs] Error 2
make: Leaving directory
`/home/sin/git/kernel-build-scripts/tmp/BUILD/kernel-source-virtualbox-vfs-1.6.2'
ошибка: Неверный код возврата из
/home/sin/git/kernel-build-scripts/tmp/TMP/rpm-tmp.55236 (%build)
------- Comment #3 From 2008-10-12 00:12:57 -------
Я дико извиняюсь, но я тут нечаянно залил в бакпорты 1.6.6 версию:
http://www.sisyphus.ru/srpm/BP4/virtualbox/changelog. Не знаю тестировал ли кто
предыдущую заливку, но понадобилось сделать:
- fix Requires (sysvinit-utils -> SysVinit)
Ядерные модули только для std-smp ядра пока.
По работе я постоянно использую VirtualBox, если меня добавят в ACL - могу
более менее оперативно заливать в i/u/4.0{1} актуальные версии. Тогда и
backports не нужно будет терзать. Он и так на ручном управлении :(
------- Comment #4 From 2009-07-12 02:09:36 -------
Насколько актуален вопрос о обновлении virtualbox для 4.0?
Есть ли смыслу собрать туда версию 2.x?
Есть ли добровольцы для тестирования?
------- Comment #5 From 2009-07-12 22:41:05 -------
(В ответ на комментарий №4)
> Насколько актуален вопрос о обновлении virtualbox для 4.0?
> Есть ли смыслу собрать туда версию 2.x?
> Есть ли добровольцы для тестирования?

Это в community@ нужно спросить. Может, еще на форуме. Только не представляю в
какую ветку.
------- Comment #6 From 2009-12-16 16:08:31 -------
В общем, по факту в 4.0/branch это WONTFIX: пакета virtualbox и соответствующих
ядерных модулей там [уже] нет.

Ладно, займёмся новым бранчем ;-)